summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/texworks/README9
-rw-r--r--office/texworks/doinst.sh1
-rw-r--r--office/texworks/texworks.SlackBuild16
-rw-r--r--office/texworks/texworks.desktop4
4 files changed, 20 insertions, 10 deletions
diff --git a/office/texworks/README b/office/texworks/README
index 7650b13e51..972b463b7f 100644
--- a/office/texworks/README
+++ b/office/texworks/README
@@ -1,6 +1,3 @@
-TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc)
-documents, with a Unicode-based, TeX-aware editor, integrated PDF
-viewer, and a clean, simple interface accessible to casual and
-non-technical users.
-
-texworks need "hunspell" to compile.
+TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents,
+with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean,
+simple interface accessible to casual and non-technical users.
diff --git a/office/texworks/doinst.sh b/office/texworks/doinst.sh
index 5fb28930db..4e8ba7071d 100644
--- a/office/texworks/doinst.sh
+++ b/office/texworks/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
+
diff --git a/office/texworks/texworks.SlackBuild b/office/texworks/texworks.SlackBuild
index 67cf4f8b1f..c86b5825a9 100644
--- a/office/texworks/texworks.SlackBuild
+++ b/office/texworks/texworks.SlackBuild
@@ -6,10 +6,19 @@
PRGNAM=texworks
VERSION=${VERSION:-0.2.3}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -24,6 +33,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -57,7 +69,7 @@ cp -a \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG | xargs file | grep -e "executable" -e "shared object" \
-| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -pv $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/office/texworks/texworks.desktop b/office/texworks/texworks.desktop
index 26e717c2f5..c89af2b5e0 100644
--- a/office/texworks/texworks.desktop
+++ b/office/texworks/texworks.desktop
@@ -1,8 +1,8 @@
[Desktop Entry]
Type=Application
-Version=0.2.3
+Version=1.0
Name=TeXWorks
Comment=Run TeXWorks
-Icon=TeXworks.png
+Icon=TeXworks
Exec=texworks
Terminal=false